You are not logged in.

#1076 2012-09-27 19:22:07

qiuwei
Member
Registered: 2009-12-18
Posts: 245

Re: Progress on Unity under Arch Linux!

I still cannot use ambiance and radiance theme for windows decoration. Other themes are fine. Can anyone confirm the same problem?

@pekmop1024, can you also put everpad into your repo unity-extra? Thanks a lot!

Offline

#1077 2012-09-27 20:04:12

fredbezies
Member
Registered: 2011-07-28
Posts: 270

Re: Progress on Unity under Arch Linux!

chenxiaolong wrote:

For anyone who still have missing window decorations, the latest Compiz release will fix the issue (I have to see if GNOME 3.6 is required for this). No metacity-ubuntu is needed.

Btw, I haven't packaged this version yet.

Thanks for the info. And sorry for the lateness, real life is more important to me now.

Offline

#1078 2012-09-27 20:10:38

kuglee
Member
Registered: 2011-09-02
Posts: 61

Re: Progress on Unity under Arch Linux!

pekmop1024 wrote:

EDIT: Anyone knows how to remove all mount points from launcher? Old method is not working anymore. I have 12 mounts, it looks terrible sad

Right click on the mount point -> Remove from Launcher

Offline

#1079 2012-09-27 20:12:31

pekmop1024
Member
From: Kiev/Feodosia
Registered: 2010-04-21
Posts: 125
Website

Re: Progress on Unity under Arch Linux!

kuglee wrote:

Right click on the mount point -> Remove from Launcher

works only for automounts sad
fstab mounts didn't have "remove from launcher" item in menu


ArchLinux x86_64 (desktop): i7 970@4.3GHz - 24GB - GTX680 DirectCU II TOP - Crucial M4 128GB - 3x2TB Seagate - Creative X-Fi Platinum - Zalman ZM1000HP
ArchLinux i686 PAE (passive cooled): i3 540 - 4GB - GT610 Silent - Crucial M4 64GB - Creative X-Fi XtremeMusic
ArchLinux i686 (HTPC): Core 2 Duo E6400 - 2GB - GT520 Silent - 80GB Seagate

Offline

#1080 2012-09-27 21:27:28

kuglee
Member
Registered: 2011-09-02
Posts: 61

Re: Progress on Unity under Arch Linux!

pekmop1024 wrote:
kuglee wrote:

Right click on the mount point -> Remove from Launcher

works only for automounts sad
fstab mounts didn't have "remove from launcher" item in menu

I removed my fstab mounts from the launcher. There's a gsettings entry com.canonical.Unity.Devices blacklist. It has all the blacklisted mounts.

Last edited by kuglee (2012-09-27 21:32:35)

Offline

#1081 2012-09-27 21:40:13

franzor
Member
Registered: 2012-01-23
Posts: 46

Re: Progress on Unity under Arch Linux!

Does the new update run fine for you? Do you have an x86_64 Archlinux?


Desktop PC: AMD Phenom XII 965-Black 8GB-Ram Ge-Force GTX-560ti Corsair Force GT/Crucial M4 Arch-Linux/Windows 7
Gaming Laptop: Intel-I7 2630QM 8GB-Ram Ge-Force GT-540m Ubuntu 12.04
Work Laptop: Intel-I3 2350 8GB-Ram Intel HD-Graphics Arch-Linux

Offline

#1082 2012-09-27 21:44:58

qiuwei
Member
Registered: 2009-12-18
Posts: 245

Re: Progress on Unity under Arch Linux!

franzor wrote:

Does the new update run fine for you? Do you have an x86_64 Archlinux?

Yes, it works. And the shadow under the panel comes back. The only thing didn't work for me is the decoration problem which seems to be an upstream bug of compiz.

Offline

#1083 2012-09-27 23:10:00

pekmop1024
Member
From: Kiev/Feodosia
Registered: 2010-04-21
Posts: 125
Website

Re: Progress on Unity under Arch Linux!

kuglee wrote:

I removed my fstab mounts from the launcher. There's a gsettings entry com.canonical.Unity.Devices blacklist. It has all the blacklisted mounts.

I have custom fs type (truecrypt) mounts and cifs shares in fstab, may be this is why I can't hide mount points - I think, these mounts has no UUIDs, so, Unity can't filter them.

EDIT. Resolved. To blacklist mounts without UUIDs just add empty item to blacklist, so it will be something like

['', 'some-uuid', 'another-uuid']

Last edited by pekmop1024 (2012-09-27 23:29:01)


ArchLinux x86_64 (desktop): i7 970@4.3GHz - 24GB - GTX680 DirectCU II TOP - Crucial M4 128GB - 3x2TB Seagate - Creative X-Fi Platinum - Zalman ZM1000HP
ArchLinux i686 PAE (passive cooled): i3 540 - 4GB - GT610 Silent - Crucial M4 64GB - Creative X-Fi XtremeMusic
ArchLinux i686 (HTPC): Core 2 Duo E6400 - 2GB - GT520 Silent - 80GB Seagate

Offline

#1084 2012-09-27 23:42:19

pekmop1024
Member
From: Kiev/Feodosia
Registered: 2010-04-21
Posts: 125
Website

Re: Progress on Unity under Arch Linux!

qiuwei wrote:

@pekmop1024, can you also put everpad into your repo unity-extra? Thanks a lot!

There's some problems with deps for python2-pyside now


ArchLinux x86_64 (desktop): i7 970@4.3GHz - 24GB - GTX680 DirectCU II TOP - Crucial M4 128GB - 3x2TB Seagate - Creative X-Fi Platinum - Zalman ZM1000HP
ArchLinux i686 PAE (passive cooled): i3 540 - 4GB - GT610 Silent - Crucial M4 64GB - Creative X-Fi XtremeMusic
ArchLinux i686 (HTPC): Core 2 Duo E6400 - 2GB - GT520 Silent - 80GB Seagate

Offline

#1085 2012-09-28 04:33:26

oi_wtf
Member
From: /home/wtf
Registered: 2012-03-11
Posts: 190

Re: Progress on Unity under Arch Linux!

franzor wrote:

EDIT: unity fails to build (yes i have added LDFLAGS=-lpthread before cmake, still fails at the same point as before.
Specifically fails at building CXX object unityshell.cpp.o

Can somebody help me please because i now have no panel/drawer because i already updated the other packages!

It fails at a call to a function in compiz' scale plugin, which isn't there in compiz you've got installed...
Updating compiz to the newest version ( 0.9.8.2.bzr3377.0ubuntu1-100 ) should do the trick...


Laptop:   Arch Linux (x86_64) and Win8.1 (x86_64);  Intel Core i7-3630QM @ 2.40GHz, 8 GiB RAM, NViDiA GeForce GT 650M 2 GiB
Desktop: Arch Linux (x86_64) and Win8.1 (x86_64);  Intel Core i7-4771  @ 3.50GHz, 8 GiB RAM, NViDiA GeForce GTX 660 Ti 2GiB

Offline

#1086 2012-09-28 06:17:24

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

franzor wrote:

Wow there are a lot of updates! Thanks for the work!

I have a little problem with libindicate-qt
after Starting build() it starts patching and ignores one patch because the file already exists and then "Error: a failure occured in build()"

Any news on that?!


EDIT: unity fails to build (yes i have added LDFLAGS=-lpthread before cmake, still fails at the same point as before.
Specifically fails at building CXX object unityshell.cpp.o

Can somebody help me please because i now have no panel/drawer because i already updated the other packages!

Both of those issues should be solvable by running "rm -rf pkg/ src/" in the each package's directory smile

EDIT: Oops..didn't see the post above mine. Please see oi_wtf's post smile

Last edited by chenxiaolong (2012-09-28 06:26:27)


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#1087 2012-09-28 06:20:58

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

pekmop1024 wrote:

I have built all packages without any problems so far... uploading to repo now smile
Thanks, chenxiaolong!

EDIT: Anyone knows how to remove all mount points from launcher? Old method is not working anymore. I have 12 mounts, it looks terrible sad

Thanks! I packaged quite a bit of stuff today. I'll post a full changelog tomorrow smile

What method did you use to hide the mount points before? And what was the last Unity version that worked with the old method?

EDIT: Nevermind. You got the hiding to work big_smile

Last edited by chenxiaolong (2012-09-28 06:27:05)


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#1088 2012-09-28 06:24:44

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

qiuwei wrote:

I still cannot use ambiance and radiance theme for windows decoration. Other themes are fine. Can anyone confirm the same problem?

@pekmop1024, can you also put everpad into your repo unity-extra? Thanks a lot!

I did a lot of testing on this while porting the packages to GNOME 3.6 in Fedora Rawhide. The window decorations need both Metacity 2.34.8 (which Arch has) and light-themes 0.1.92 (which is very ugly without GNOME 3.6).

GNOME 3.6 was released yesterday. Hopefully, it will land soon in the Arch repos smile It solves many of the problems we currently have.


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#1089 2012-09-28 07:54:23

quiro91
Member
Registered: 2012-06-13
Posts: 29

Re: Progress on Unity under Arch Linux!

Same issue here. I tried updating compiz but it fails because I should remove metacity and gdm before installing it

oi_wtf wrote:
franzor wrote:

EDIT: unity fails to build (yes i have added LDFLAGS=-lpthread before cmake, still fails at the same point as before.
Specifically fails at building CXX object unityshell.cpp.o

Can somebody help me please because i now have no panel/drawer because i already updated the other packages!

It fails at a call to a function in compiz' scale plugin, which isn't there in compiz you've got installed...
Updating compiz to the newest version ( 0.9.8.2.bzr3377.0ubuntu1-100 ) should do the trick...

Offline

#1090 2012-09-28 07:54:48

qiuwei
Member
Registered: 2009-12-18
Posts: 245

Re: Progress on Unity under Arch Linux!

chenxiaolong wrote:
qiuwei wrote:

I still cannot use ambiance and radiance theme for windows decoration. Other themes are fine. Can anyone confirm the same problem?

@pekmop1024, can you also put everpad into your repo unity-extra? Thanks a lot!

I did a lot of testing on this while porting the packages to GNOME 3.6 in Fedora Rawhide. The window decorations need both Metacity 2.34.8 (which Arch has) and light-themes 0.1.92 (which is very ugly without GNOME 3.6).

GNOME 3.6 was released yesterday. Hopefully, it will land soon in the Arch repos smile It solves many of the problems we currently have.

Thanks for the information. Great job. Thanks a lot for you work!

Offline

#1091 2012-09-28 08:18:35

fredbezies
Member
Registered: 2011-07-28
Posts: 270

Re: Progress on Unity under Arch Linux!

Just for your information : unity-xe-xe.org repository still have a broken version. And for gnome 3.6, unstable repository is not completed : missing at least gnome-shell 3.6.0 and some 3.6.0.x packages.

Offline

#1092 2012-09-28 16:48:03

franzor
Member
Registered: 2012-01-23
Posts: 46

Re: Progress on Unity under Arch Linux!

thanks oi_wtf worked fine for me!

We really should set up a wiki or something like that smile


Desktop PC: AMD Phenom XII 965-Black 8GB-Ram Ge-Force GTX-560ti Corsair Force GT/Crucial M4 Arch-Linux/Windows 7
Gaming Laptop: Intel-I7 2630QM 8GB-Ram Ge-Force GT-540m Ubuntu 12.04
Work Laptop: Intel-I3 2350 8GB-Ram Intel HD-Graphics Arch-Linux

Offline

#1093 2012-09-28 21:44:54

pekmop1024
Member
From: Kiev/Feodosia
Registered: 2010-04-21
Posts: 125
Website

Re: Progress on Unity under Arch Linux!

fredbezies, broken version of what? smile
gtk-window-decorator is working; you can set decoration with gnome-tweak-tool.
Gnome 3.6 isn't in Arch repos yet, are you trying to say that we must use gnome-unstable?
It's ridiculous, you must just sit down and wait when 3.6 will be in official Arch repos.

Last edited by pekmop1024 (2012-09-28 21:49:35)


ArchLinux x86_64 (desktop): i7 970@4.3GHz - 24GB - GTX680 DirectCU II TOP - Crucial M4 128GB - 3x2TB Seagate - Creative X-Fi Platinum - Zalman ZM1000HP
ArchLinux i686 PAE (passive cooled): i3 540 - 4GB - GT610 Silent - Crucial M4 64GB - Creative X-Fi XtremeMusic
ArchLinux i686 (HTPC): Core 2 Duo E6400 - 2GB - GT520 Silent - 80GB Seagate

Offline

#1094 2012-09-29 00:20:42

naxan
Member
From: Denver, CO
Registered: 2010-09-11
Posts: 24
Website

Re: Progress on Unity under Arch Linux!

Anyone else having Unity fail to start using the prebuilt packages from unity.xe-xe.org after yesterday's rebuild? Compiz now simply reports "Info: Loading plugin: unitymtgrabhandles" and "Info: Loading plugin: unityshell". Can't seem to get it to say anything more informative...


For I dipt into the future, far as human eye could see,
Saw the Vision of the world, and all the wonder that would be...

Offline

#1095 2012-09-29 01:19:08

pekmop1024
Member
From: Kiev/Feodosia
Registered: 2010-04-21
Posts: 125
Website

Re: Progress on Unity under Arch Linux!

Tested on VM - ok, running on my x86_64 and yesterday installed to my silent pc project (i686) without any problems.
Are your Arch is up to date and you have installed all of unity repo packages? Did you tried to reset compiz settings?


ArchLinux x86_64 (desktop): i7 970@4.3GHz - 24GB - GTX680 DirectCU II TOP - Crucial M4 128GB - 3x2TB Seagate - Creative X-Fi Platinum - Zalman ZM1000HP
ArchLinux i686 PAE (passive cooled): i3 540 - 4GB - GT610 Silent - Crucial M4 64GB - Creative X-Fi XtremeMusic
ArchLinux i686 (HTPC): Core 2 Duo E6400 - 2GB - GT520 Silent - 80GB Seagate

Offline

#1096 2012-09-29 05:24:02

naxan
Member
From: Denver, CO
Registered: 2010-09-11
Posts: 24
Website

Re: Progress on Unity under Arch Linux!

@pekmop1024: I've installed all of the Unity group with the exception of a few GTK2 and QT packages that don't seem to be needed by anything. Everything worked fine until the last upgrade, at which point the Compiz Unity extensions failed to load. Resetting Compiz had no effect. However, reverting my system but not my settings resolved the issue.

I'm currently walking through the upgrades that rolled in today to see what exactly caused the problem, but probably won't have the time to finish up the process until later tomorrow.

EDIT: Never mind, that didn't take as long as I thought. Upgrading the unity package does indeed result in the observed errors. However, the fault is with Compiz. I din't notice this the first time through, but I get a warning at the start of the upgrade that my local copy of compiz (0.9.8.2.0ubuntu1-100) is newer than the repository's (0.9.8.2.bzr3377.0ubuntu1-100). Now, I haven't manually rebuilt Compiz, so I think this must just be a minor problem in the new Compiz version number, but it's enough to hang the system. Forcing Compiz to be "downgraded" to match the repository's version fixes the issue.

Last edited by naxan (2012-09-29 05:49:00)


For I dipt into the future, far as human eye could see,
Saw the Vision of the world, and all the wonder that would be...

Offline

#1097 2012-09-29 05:44:44

pekmop1024
Member
From: Kiev/Feodosia
Registered: 2010-04-21
Posts: 125
Website

Re: Progress on Unity under Arch Linux!

I suggest you to install all of repo packages step by step, then you will know, where is problem.
Many packages have ubuntu-specific patches, and some of them are compiled against patched versions and so can be unstable with Arch repo packages instead of recommended.
That's why I strongly recommend to install all ubuntu-patched packages.


ArchLinux x86_64 (desktop): i7 970@4.3GHz - 24GB - GTX680 DirectCU II TOP - Crucial M4 128GB - 3x2TB Seagate - Creative X-Fi Platinum - Zalman ZM1000HP
ArchLinux i686 PAE (passive cooled): i3 540 - 4GB - GT610 Silent - Crucial M4 64GB - Creative X-Fi XtremeMusic
ArchLinux i686 (HTPC): Core 2 Duo E6400 - 2GB - GT520 Silent - 80GB Seagate

Offline

#1098 2012-09-29 05:50:56

naxan
Member
From: Denver, CO
Registered: 2010-09-11
Posts: 24
Website

Re: Progress on Unity under Arch Linux!

@pekmop1024: Looks like I was editing my post at the same time you were writing yours. Problem seems to be a weird version number in compiz-ubuntu - for whatever reason my system sees it as a downgrade. Forcing a reinstall of compiz-ubuntu (such that the version matches what's in the repository) fixes the issue.


For I dipt into the future, far as human eye could see,
Saw the Vision of the world, and all the wonder that would be...

Offline

#1099 2012-09-29 09:15:13

quiro91
Member
Registered: 2012-06-13
Posts: 29

Re: Progress on Unity under Arch Linux!

ok, I succeeded in installing unity 6.6.0, but I had to remove metacity-ubuntu, but know my desktop looks like this:
http://imgur.com/oiKXb
What should I do?

Offline

#1100 2012-09-29 11:03:43

fredbezies
Member
Registered: 2011-07-28
Posts: 270

Re: Progress on Unity under Arch Linux!

quiro91 wrote:

ok, I succeeded in installing unity 6.6.0, but I had to remove metacity-ubuntu, but know my desktop looks like this:
http://imgur.com/oiKXb
What should I do?

Wait for a working compiz version. It is currently broken, if you use unity-xe-xe.org repository.

Offline

Board footer

Powered by FluxBB